Last Comment Bug 683441 - Sign NSS libraries from packager.mk
: Sign NSS libraries from packager.mk
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Mike Hommey [:glandium]
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 694353
Blocks: 680440
  Show dependency treegraph
 
Reported: 2011-08-31 00:54 PDT by Mike Hommey [:glandium]
Modified: 2012-01-01 09:04 PST (History)
2 users (show)
khuey: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Always sign NSS libraries from packager.mk (9.63 KB, patch)
2011-08-31 00:57 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Splinter Review
Always sign NSS libraries from packager.mk (10.14 KB, patch)
2011-08-31 02:08 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Splinter Review
Always sign NSS libraries from packager.mk (10.14 KB, patch)
2011-08-31 14:14 PDT, Mike Hommey [:glandium]
ted: review+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-08-31 00:54:55 PDT
For some reason that is beyond me, osx64 crashes in shlibsign when it happens from security/manager when jemalloc is enabled *and* bug 680440 is applied. As bug 680440 will land and jemalloc is going to be enabled, this is going to be a problem. It turns out shlibsign does *not* crash when called from packager.mk.

We actually also have code for signing in packager.mk, because we need to on universal builds, and we also need to on builds where we strip the binaries. In the end, we just can completely get rid of the signing in security/manager and unconditionally sign in packager.mk.
Comment 1 Mike Hommey [:glandium] 2011-08-31 00:57:32 PDT
Created attachment 557098 [details] [diff] [review]
Always sign NSS libraries from packager.mk

Testing this on try:
http://tbpl.allizom.org/?usebuildbot=1&tree=Try&rev=d2406ac8bc34
Comment 2 Mike Hommey [:glandium] 2011-08-31 02:08:14 PDT
Created attachment 557105 [details] [diff] [review]
Always sign NSS libraries from packager.mk

The part actually avoiding the chk creation from nss was missing.
http://tbpl.allizom.org/?usebuildbot=1&tree=Try&rev=d0cb5651b586
Comment 3 Mike Hommey [:glandium] 2011-08-31 14:14:15 PDT
Created attachment 557317 [details] [diff] [review]
Always sign NSS libraries from packager.mk

Refreshed against current m-c
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-09-02 12:19:15 PDT
Comment on attachment 557317 [details] [diff] [review]
Always sign NSS libraries from packager.mk

Review of attachment 557317 [details] [diff] [review]:
-----------------------------------------------------------------

::: security/manager/Makefile.in
@@ +234,5 @@
>  # Disable building of the test programs in security/nss/lib/zlib
>  DEFAULT_GMAKE_FLAGS += PROGRAMS=
>  
> +# Disable creating .chk files. They will be generated from packager.mk
> +DEFAULT_GMAKE_FLAGS += CHECKLOC=

Can you put a comment here about how we should use the stuff from bug 681624 if it lands?
Comment 5 Mike Hommey [:glandium] 2011-09-05 23:20:31 PDT
http://hg.mozilla.org/projects/build-system/rev/d5c28f481dc3
Comment 6 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-15 19:18:36 PDT
https://hg.mozilla.org/mozilla-central/rev/d5c28f481dc3

Note You need to log in before you can comment on or make changes to this bug.